
/*
 *  Copyright (c) 2018, Oracle and/or its affiliates. All rights reserved.
*/
package oracle.jcs.ws.sample.saml;

import javax.jws.WebService;

import weblogic.wsee.jws.jaxws.owsm.SecurityPolicy;

    @WebService
    @SecurityPolicy(uri = "oracle/wss11_saml_or_username_token_with_message_protection_service_policy")
    public class HelloWorld {
        public HelloWorld() {
            super();
        }

        public String hello(String name) {
            return ("Hello " + name + ". The saml authentication worked!");
        }
    }
